Subject: Re: IPv6 tunnel scalability problem

From: Rémi Denis-Courmont <[email-masked]>
Date: Mon, 1 Sep 2008 18:09:26 +0300

Le lundi 1 septembre 2008 15:04:58 Andi Kleen, vous avez écrit :
> Rémi Denis-Courmont <[email-masked]> writes:
> > I have been maintaining a TUN-based Linux implementation of
> > Teredo/RFC4380. On a busy node, this can trigger quite many peers on the
> > virtual point-to-point tunnel interface. I have received complaints that
> > the whole thing seems to hit some severe performance bottleneck when this
> > happens. It is not clear to me at this point whether it's a kernel or a
> > user problem. So I have been writing a stress test.
>
> You could use oprofile to find out where the CPU time is going.
> That would work even during normal operation. Post the opreport -l output

Understood. But this far, the kernel crashes during my stress test...

-- 
Rémi Denis-Courmont
http://www.remlab.net/